# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-SQL-ReservedWords
Version:	0.8
Release:	alt1_2
Summary:	Determine if words are reserved by ANSI/ISO SQL standard
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/SQL-ReservedWords/
Source0:	http://www.cpan.org/authors/id/C/CH/CHANSEN/SQL-ReservedWords-%{version}.tar.gz

# don't require Module::Build 0.4
Patch0:		SQL-ReservedWords-0.8-build.patch

BuildArch:	noarch
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(Module/Build.pm)
BuildRequires:	perl(Sub/Exporter.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
Requires:	perl(Sub/Exporter.pm)
Requires:	perl(Pod/Usage.pm)
Source44: import.info

%description
Determine if words are reserved by ANSI/ISO SQL standard.  There are also
sub modules that determine if a particular database server reserves the word.

%prep
%setup -q -n SQL-ReservedWords-%{version}
%patch0 -p1

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/SQL/
%{_bindir}/sqlrw
%{_mandir}/man1/sqlrw.1*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_2
- initial fc import

